
Katello - Bug #6197

content host json is missing virtual host/guest information

06/12/2014 05:07 PM - Thomas McKay

Status: Closed   

Priority: High   

Assignee: Thomas McKay   

Category: Hosts   

Target version: Katello 2.0   

Difficulty: medium Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1108851 Red Hat JIRA:  

Pull request:    

Description

When foreman's host was added to the content host rabl, it clashed with the previous virtual host entry (for hypervisor host and

guests).

Associated revisions

Revision 787797cc - 06/16/2014 01:56 PM - Thomas McKay

fixes #6197 - moving host/guests to virtual_host/virtual_guests

This corrects conflict with foreman host link

rubocop fix

spec test fix

Revision d33e5539 - 06/16/2014 05:56 PM - Thomas McKay

fixes #6197 - moving host/guests to virtual_host/virtual_guests

This corrects conflict with foreman host link

rubocop fix

spec test fix

History

#1 - 06/12/2014 05:08 PM - Thomas McKay

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1108851

#2 - 06/16/2014 12:07 PM - Eric Helms

- Difficulty set to medium

- Triaged changed from No to Yes

#3 - 06/16/2014 12:09 PM - Eric Helms

- Target version changed from 45 to 48

#4 - 06/16/2014 09:53 PM - Thomas McKay

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:d33e5539901ec0936ba859319e5cbf3e3db40669.

#5 - 08/22/2014 08:34 AM - Eric Helms

- translation missing: en.field_release set to 13
